Mailinglist Archive: opensuse-bugs (6614 mails)

< Previous Next >
[Bug 530715] New: lxc is not usable for non-root users
  • From: bugzilla_noreply@xxxxxxxxxx
  • Date: Thu, 13 Aug 2009 03:29:40 -0600
  • Message-id: <bug-530715-21960@xxxxxxxxxxxxxxxxxxxxxxxx/>
http://bugzilla.novell.com/show_bug.cgi?id=530715


Summary: lxc is not usable for non-root users
Classification: openSUSE
Product: openSUSE 11.2
Version: Factory
Platform: Other
OS/Version: Other
Status: NEW
Severity: Major
Priority: P5 - None
Component: Basesystem
AssignedTo: jslaby@xxxxxxxxxx
ReportedBy: adrian@xxxxxxxxxx
QAContact: qa@xxxxxxx
Found By: ---


I run "lxc-setcap" as root and checked if all capatibilities are set to the
files. Also apparmor is deinstalled.

But nevertheless my usual user is able to run "lxc-start", failing at the clone
request with permission denied.

a chmod a+s to lxc-start solves this problem for me and the started process is
still running as user, but I dunno if this is a proper solution.

--
Configure bugmail: http://bugzilla.novell.com/userprefs.cgi?tab=email
------- You are receiving this mail because: -------
You are on the CC list for the bug.

< Previous Next >